MPD

- Main Page
- Data Structures
- Files

- Data Structures
- Data Fields

Data Fields

# playlist Struct Reference

`#include <playlist.h>`

## Data Fields
struct queue | queue
| The song queue - it contains the "real" playlist.
bool | playing
| This value is true if the player is currently playing (or should be playing).
bool | stop_on_error
| If true, then any error is fatal; if false, MPD will attempt to play the next song on non-fatal errors.
unsigned | error_count
| Number of errors since playback was started.
int | current
| The "current song pointer".
int | queued
| The "next" song to be played, when the current one finishes.

## Detailed Description

Definition at line 43 of file playlist.h.

## Field Documentation

int playlist::current

The "current song pointer".

This is the song which is played when we get the "play" command. It is also the song which is currently being played.

Definition at line 74 of file playlist.h.

unsigned playlist::error_count

Number of errors since playback was started.

If this number exceeds the length of the playlist, MPD gives up, because all songs have been tried.

Definition at line 67 of file playlist.h.

bool playlist::playing

This value is true if the player is currently playing (or should be playing).

Definition at line 53 of file playlist.h.

struct queue playlist::queue

The song queue - it contains the "real" playlist.

Definition at line 47 of file playlist.h.

int playlist::queued

The "next" song to be played, when the current one finishes.

The decoder thread may start decoding and buffering it, while the "current" song is still playing.

This variable is only valid if playing is true.

Definition at line 83 of file playlist.h.

bool playlist::stop_on_error

If true, then any error is fatal; if false, MPD will attempt to play the next song on non-fatal errors.

During seeking, this flag is set.

Definition at line 60 of file playlist.h.

The documentation for this struct was generated from the following file:

- src/playlist.h